org.gjt.sp.jedit.bsh

## Class EvalError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.gjt.sp.jedit.bsh.EvalError

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ParseException, TargetError

    public class EvalError
    extends java.lang.Exception

EvalError indicates that we cannot continue evaluating the script or the script has thrown an exception. EvalError may be thrown for a script syntax error, an evaluation error such as referring to an undefined variable, an internal error.

See Also:
  `TargetError`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`EvalError(java.lang.String s, org.gjt.sp.jedit.bsh.SimpleNode node, CallStack callstack)`

### Method Summary

Methods
`int` `getErrorLineNumber()`
`java.lang.String` `getErrorSourceFile()`
`java.lang.String` `getErrorText()`
`java.lang.String` `getMessage()`
`java.lang.String` `getScriptStackTrace()`
`protected void` `prependMessage(java.lang.String s)` Prepend the message if it is non-null.
`void` `reThrow(java.lang.String msg)` Re-throw the error, prepending the specified message.
`void` `setMessage(java.lang.String s)`
`java.lang.String` `toString()` Print the error with line number and stack trace.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EvalError

    public EvalError(java.lang.String s,
             org.gjt.sp.jedit.bsh.SimpleNode node,
             CallStack callstack)

### Method Detail

#### toString

    public java.lang.String toString()

Print the error with line number and stack trace.

Overrides:
  `toString` in class `java.lang.Throwable`

#### reThrow

    public void reThrow(java.lang.String msg)
                 throws EvalError

Re-throw the error, prepending the specified message.

Throws:
  `EvalError`

#### getErrorText

    public java.lang.String getErrorText()

#### getErrorLineNumber

    public int getErrorLineNumber()

#### getErrorSourceFile

    public java.lang.String getErrorSourceFile()

#### getScriptStackTrace

    public java.lang.String getScriptStackTrace()

#### getMessage

    public java.lang.String getMessage()

Overrides:
  `getMessage` in class `java.lang.Throwable`
See Also:
  `for a full display of the information`

#### setMessage

    public void setMessage(java.lang.String s)

#### prependMessage

    protected void prependMessage(java.lang.String s)

Prepend the message if it is non-null.